Skip to main content
GET
/
projects
/
{project_id}
/
agent-settings
List agent settings
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/agent-settings/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "count": 123,
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "readonly": true,
      "additional_instructions": "<string>",
      "agent_conversation_starter": "<string>",
      "model": "claude-3-5-sonnet",
      "project_brief": "<string>",
      "knowledge_graph_mode": "<string>",
      "knowledge_graph_parameters": {},
      "tags_hierarchies_mode": "<string>",
      "tags_hierarchies_parameters": {},
      "selected_workflows_mode": "<string>",
      "selected_workflows": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "agent_mode": "<string>",
      "tools": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "last_conversation_date": "2023-11-07T05:31:56Z",
      "local_documents": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

Query Parameters

limit
integer
default:100

Maximum number of results per page

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Successful response

count
integer

Total number of results

next
string<uri> | null

URL to next page of results

previous
string<uri> | null

URL to previous page of results

results
object[]